Listar tarefas no kanban
curl --request GET \
--url https://api.juridiq.com.br/task/kanban \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/task/kanban"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/task/kanban', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Pendente": {
"name": "<string>",
"items": [
{
"id": "<string>",
"title": "<string>",
"priority": "<string>",
"status": "<string>",
"hasSheet": true,
"initialDate": "<string>",
"finalDate": "<string>",
"isArchived": true,
"isPrivate": true,
"ownerId": "<string>",
"points": 123
}
],
"total": 123,
"page": 123,
"hasMore": true
},
"Em progresso": {
"name": "<string>",
"items": [
{
"id": "<string>",
"title": "<string>",
"priority": "<string>",
"status": "<string>",
"hasSheet": true,
"initialDate": "<string>",
"finalDate": "<string>",
"isArchived": true,
"isPrivate": true,
"ownerId": "<string>",
"points": 123
}
],
"total": 123,
"page": 123,
"hasMore": true
},
"Concluída": {
"name": "<string>",
"items": [
{
"id": "<string>",
"title": "<string>",
"priority": "<string>",
"status": "<string>",
"hasSheet": true,
"initialDate": "<string>",
"finalDate": "<string>",
"isArchived": true,
"isPrivate": true,
"ownerId": "<string>",
"points": 123
}
],
"total": 123,
"page": 123,
"hasMore": true
}
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Tasks
Listar tarefas no kanban
GET
/
task
/
kanban
Listar tarefas no kanban
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key.
Query Parameters
Filtra por título
Filtra por responsável
Filtra por prioridade
Filtra por processo
Filtra tarefas da home
true ou false
Data inicial
Data final
Filtra por tag
Página
Itens por página
Filtra por status
Filtra por pontos
ID da tarefa pai
Ordenação
Campo de ordenação
Método de filtro por data
ID da coluna
⌘I

